int timer=0;
uint8_t state=HIGH;

void setup() {
  pinMode(2,OUTPUT);
    
  TCCR0A=(1<<WGM01);    //Set the CTC mode   
  OCR0A=0xF9; //Value for ORC0A for 1ms 
  
  TIMSK0|=(1<<OCIE0A);   //Set the interrupt request
  sei(); //Enable interrupt
  
  TCCR0B|=(1<<CS01);    //Set the prescale 1/64 clock
  TCCR0B|=(1<<CS00);
}

void loop() {
  if(timer>=1000){
    state=HIGH-state;
    timer=0;
  }
  
  digitalWrite(2,state);
  
}

ISR(TIMER0_COMPA_vect){    //This is the interrupt request
  timer++;
}